"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConvertMsg = exports.ConvertMsgFmt = void 0;
/**
 * Message formatting constants. They can be ORed into IConvertMsg.msgFormat.
 * Do not combine REPORT_LINE and ERROR_LINE.
 */
var ConvertMsgFmt;
(function (ConvertMsgFmt) {
    ConvertMsgFmt[ConvertMsgFmt["REPORT_LINE"] = 1] = "REPORT_LINE";
    ConvertMsgFmt[ConvertMsgFmt["ERROR_LINE"] = 2] = "ERROR_LINE";
    ConvertMsgFmt[ConvertMsgFmt["PARAGRAPH"] = 4] = "PARAGRAPH";
    ConvertMsgFmt[ConvertMsgFmt["INDENT"] = 8] = "INDENT";
})(ConvertMsgFmt || (exports.ConvertMsgFmt = ConvertMsgFmt = {}));
/**
 * This is the structure of a conversion message.
 */
class ConvertMsg {
    constructor(msgFormat, msgText) {
        this.msgFormat = msgFormat;
        this.msgText = msgText;
    }
}
exports.ConvertMsg = ConvertMsg;
//# sourceMappingURL=IConvertV1Profiles.js.map