/**
 * Defines a contract for objects that can dispose of resources typically associated with an event.
 * (Any object that implements this interface must provide an implementation of the close() method)
 * @export
 * @interface IEventDisposable
 */
export interface IEventDisposable {
    /**
     * Disposes of the actions registered to an event, effectively cleaning up or removing event handlers.
     * @memberof IEventDisposable
     */
    close(): void;
}
//# sourceMappingURL=IEventDisposable.d.ts.map