import { ICommandHandler, IHandlerParameters } from "../../../../../cmd";
/**
 * Handler for the convert profiles command.
 */
export default class ConvertProfilesHandler implements ICommandHandler {
    /**
     * Process the command input and display output.
     *
     * @param {IHandlerParameters} params Parameters supplied by yargs
     *
     * @throws {ImperativeError}
     */
    process(params: IHandlerParameters): Promise<void>;
    /**
     * Show all of the messages of a given type.
     * The intent is to allow our caller to show a report of all actions,
     * followed by a report of all errors.
     *
     * @param setOfMsgs The available set of messages to display.
     * @param msgTypeToShow The type of message to display.
     *                      Either ConvertMsgFmt.REPORT_LINE or ConvertMsgFmt.ERROR_LINE.
     * @param consoleApiFun The IHandlerResponseConsoleApi object used to display
     *                      messages in a CLI terminal.
     */
    private showMsgsByType;
}
//# sourceMappingURL=convert-profiles.handler.d.ts.map